require 'open-uri'

class GoogleCurrencyCalculator
  def initialize(params={})
    @from = params[:from]
    @to = params[:to]
  end

  def value
    parse_response(request)
  end

  private
    def request
      open("http://www.google.com/ig/calculator?q=1#{@from}=?#{@to}").read
    end

    def parse_response(response)
      response.scan(/rhs: "([^.]+\.(?:\d{1,2}))/)[0][0].to_f
    end
end